
Ruby - Bug #5989

Keyword spash is syntax error when there are no explicit keyword arguments

02/09/2012 02:15 PM - funny_falcon (Yura Sokolov)

Status: Closed   

Priority: Normal   

Assignee: mame (Yusuke Endoh)   

Target version: 2.0.0   

ruby -v: ruby 2.0.0dev (2012-02-09 trunk 34505)

[i686-linux]

Backport:  

Description

$ ruby -e 'def a(a:1, **h); p h; end; a(b: 1)'

{:b=>1}

$ ruby -e 'def a(**h); p h; end; a(b: 1)'

-e:1: syntax error, unexpected tPOW, expecting ')'

def a(**h); p h; end

        ^

Associated revisions

Revision d6a977f667f9d824cfe95976f3afc31e55580edb - 03/13/2012 06:17 AM - nobu (Nobuyoshi Nakada)

parse.y (block_param, f_args): add rules for the case arguments

begin with kwrest.  [ruby-core:42455][Bug #5989]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@34998 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision d6a977f6 - 03/13/2012 06:17 AM - nobu (Nobuyoshi Nakada)

parse.y (block_param, f_args): add rules for the case arguments

begin with kwrest.  [ruby-core:42455][Bug #5989]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@34998 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 8fe3fb4c0f69535b302e124f3afc58dce4be5dbb - 03/13/2012 01:00 PM - nobu (Nobuyoshi Nakada)

compile.c (iseq_set_arguments): keyword rest arg without keyword args.

node.c (dump_node): dump kw_rest_arg too.

parse.y (block_param, f_arg): more kwrest patterns.

[ruby-core:42455][Bug #5989]

parse.y (new_args_gen): no extra kw_rest_arg if no keyword rest arg.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@34999 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 8fe3fb4c - 03/13/2012 01:00 PM - nobu (Nobuyoshi Nakada)

compile.c (iseq_set_arguments): keyword rest arg without keyword args.

node.c (dump_node): dump kw_rest_arg too.

parse.y (block_param, f_arg): more kwrest patterns.

[ruby-core:42455][Bug #5989]

parse.y (new_args_gen): no extra kw_rest_arg if no keyword rest arg.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@34999 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 03/11/2012 05:24 PM - ko1 (Koichi Sasada)

- Assignee set to mame (Yusuke Endoh)

#2 - 03/13/2012 03:17 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

- % Done changed from 0 to 100

06/09/2025 1/2



This issue was solved with changeset r34998.

Yura, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

parse.y (block_param, f_args): add rules for the case arguments

begin with kwrest.  [ruby-core:42455][Bug #5989]

#3 - 03/13/2012 09:59 PM - nobu (Nobuyoshi Nakada)

- Status changed from Closed to Open

- % Done changed from 100 to 20

#4 - 03/13/2012 10:00 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

- % Done changed from 20 to 100

This issue was solved with changeset r34999.

Yura, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

compile.c (iseq_set_arguments): keyword rest arg without keyword args.

node.c (dump_node): dump kw_rest_arg too.

parse.y (block_param, f_arg): more kwrest patterns.

[ruby-core:42455][Bug #5989]

parse.y (new_args_gen): no extra kw_rest_arg if no keyword rest arg.
